<bugID>1211485<Summary>Default search engine can still be set as default using the contextual menu</Summary><Description>Created attachment 8669709
same engine.png

Reproduced with Dev Edition 43.0a2 and Nightly 44.0a1 2015-10-04 across platforms.

Steps to reproduce:
1. Open the search toolbar panel
2. Change the default search engine using Ctrl/Cmd + Up/Down arrow
3. Right click on the search engine previously selected and click on "Set As Default Search Engine"

Actual results:
Nothing happens as that search engine was already set as default

Expected: Either one-click list is updated or the "Set As Default Search Engine" option from the contextual menu is grayed out for that engine</Description></bugID>